
From: Thierry Vignaud <tvignaud@mandrakesoft.com>

sk98lin driver register a bogus value for its driver name.  however
this name appears in sysfs and this confuses some config tools.

Signed-off-by: Thierry Vignaud <tvignaud@mandrakesoft.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/net/sk98lin/skge.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/net/sk98lin/skge.c~fix-driver-name-in-sk98lin drivers/net/sk98lin/skge.c
--- 25/drivers/net/sk98lin/skge.c~fix-driver-name-in-sk98lin	2005-03-09 15:26:31.000000000 -0800
+++ 25-akpm/drivers/net/sk98lin/skge.c	2005-03-09 15:26:31.000000000 -0800
@@ -5155,7 +5155,7 @@ static struct pci_device_id skge_pci_tbl
 MODULE_DEVICE_TABLE(pci, skge_pci_tbl);
 
 static struct pci_driver skge_driver = {
-	.name		= "skge",
+	.name		= "sk98lin",
 	.id_table	= skge_pci_tbl,
 	.probe		= skge_probe_one,
 	.remove		= __devexit_p(skge_remove_one),
_
